Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 19-01-2018 00:10:53

ylyco
Membre
Distrib. : Kubuntu 17.10 / Debian 9 - desktop
Noyau : 4.10.0 / 4.9.4
(G)UI : Gnome / KDE
Inscription : 26-05-2016

[Résolu]Debian-Kubuntu + Cups + pilote imprimante i386 = filter failed

Salut à tous,

je reviens vers vous pour une erreur " filter failed " (dans le fichier error_log de Cups) lorsque j'essaie d'imprimer la page de test dans Cups (localhost:631) de mon imprimante dont le pilote était au format " rpm i386 ", mais que j'ai transformé à l'aide d'Alien en paquet " deb ".

J'ai réussit à le faire fonctionner sous Mint 18.3 en installant le paquet " ia32-libs ", cela a résolu mon problème de "filter failed".

Je voulais procéder de la même façon pour mes postes sous Debian 9 et Kubuntu, mais ce paquet ia32-libs n'est plus présent sur ces distributions.

En cherchant (un peu), je suis tombé sur cette page : https://debian-facile.org/viewtopic.php?id=18329
Mais aucune des 2 solutions n'a répondu à mon problème.

Solution 1 :


regis@debian9:~$ sudo apt-get install ia32-libs
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
Aucune version du paquet ia32-libs n'est disponible, mais il existe dans la base
de données. Cela signifie en général que le paquet est manquant, qu'
il est devenu obsolète
ou qu'il n'est disponible que sur une autre source
Cependant les paquets suivants le remplacent :
  lib32z1 lib32ncurses5

E: Le paquet « ia32-libs » n'a pas de version susceptible d'être installée
regis@debian9:~$ sudo apt-get install lib32z1 lib32ncurses5
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
The following additional packages will be installed:
  lib32tinfo5 libc6-i386
Les NOUVEAUX paquets suivants seront installés :
  lib32ncurses5 lib32tinfo5 lib32z1 libc6-i386
0 mis à jour, 4 nouvellement installés, 0 à enlever et 148 non mis à jour.
Il est nécessaire de prendre 3 082 ko dans les archives.
Après cette opération, 12,4 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer ? [O/n] o
Réception de:1 http://deb.debian.org/debian stretch/main amd64 lib32tinfo5 amd64 6.0+20161126-1+deb9u1 [299 kB]
Réception de:2 http://security.debian.org/debian-security stretch/updates/main amd64 libc6-i386 amd64 2.24-11+deb9u1 [2 595 kB]
Réception de:3 http://deb.debian.org/debian stretch/main amd64 lib32ncurses5 amd64 6.0+20161126-1+deb9u1 [99,4 kB]
Réception de:4 http://deb.debian.org/debian stretch/main amd64 lib32z1 amd64 1:1.2.8.dfsg-5 [88,6 kB]
3 082 ko réceptionnés en 4s (695 ko/s)                                  
Sélection du paquet libc6-i386 précédemment désélectionné.
(Lecture de la base de données... 249054 fichiers et répertoires déjà installés.)
Préparation du dépaquetage de .../libc6-i386_2.24-11+deb9u1_amd64.deb ...
Dépaquetage de libc6-i386 (2.24-11+deb9u1) ...
Sélection du paquet lib32tinfo5 précédemment désélectionné.
Préparation du dépaquetage de .../lib32tinfo5_6.0+20161126-1+deb9u1_amd64.deb ...
Dépaquetage de lib32tinfo5 (6.0+20161126-1+deb9u1) ...
Sélection du paquet lib32ncurses5 précédemment désélectionné.
Préparation du dépaquetage de .../lib32ncurses5_6.0+20161126-1+deb9u1_amd64.deb ...
Dépaquetage de lib32ncurses5 (6.0+20161126-1+deb9u1) ...
Sélection du paquet lib32z1 précédemment désélectionné.
Préparation du dépaquetage de .../lib32z1_1%3a1.2.8.dfsg-5_amd64.deb ...
Dépaquetage de lib32z1 (1:1.2.8.dfsg-5) ...
Paramétrage de libc6-i386 (2.24-11+deb9u1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u1) ...
Paramétrage de lib32z1 (1:1.2.8.dfsg-5) ...
Paramétrage de lib32tinfo5 (6.0+20161126-1+deb9u1) ...
Paramétrage de lib32ncurses5 (6.0+20161126-1+deb9u1) ...
Traitement des actions différées (« triggers ») pour libc-bin (2.24-11+deb9u1) ...
regis@debian9:~$ systemctl restart cups
regis@debian9:~$



Solution 2 :


regis@debian9:~$ sudo apt-get install libcups2:i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups2:i386
regis@debian9:~$ sudo apt-get install libcups2:i586
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups2:i586
regis@debian9:~$ sudo apt-get install libcups2:i686
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups2:i686
regis@debian9:~$ sudo apt-get install libcups:i586
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups:i586
regis@debian9:~$ sudo apt install libcups:i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups:i386
regis@debian9:~$ sudo apt install libcups:i586
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups:i586
regis@debian9:~$ sudo apt install libcups-i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups-i386
regis@debian9:~$ sudo apt install libcups2-i386
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'
état... Fait
E: Impossible de trouver le paquet libcups2-i386
regis@debian9:~$

 



Existe-il un autre moyen pour installer les librairies cups au format 32 bits ?

Où faut-il procéder totalement différemment pour ce type de format de driver ?

Ou mon imprimante Dell1320c qui utilise un pilote de " Fuji_Xerox-DocuPrint_C525_A_AP-1.0-1.i386 " est à jeter ?

Merci d'avance pour vos remarques.

Dernière modification par ylyco (20-01-2018 00:42:13)

Hors ligne

#2 19-01-2018 00:42:42

Y316
Membre
Distrib. : stretch
Noyau : Linux 4.9.0-8-amd64
(G)UI : MATE 1.16.2
Inscription : 15-11-2012

Re : [Résolu]Debian-Kubuntu + Cups + pilote imprimante i386 = filter failed

0 mis à jour, 4 nouvellement installés, 0 à enlever et 148 non mis à jour.

Les 4 installés c'est fait.
Pour les 148 autres :

apt-get dist-upgrade


Debian 9 (stretch)  + la pire ICC que vous ayez probablement jamais rencontré.

Hors ligne

#3 19-01-2018 01:40:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu]Debian-Kubuntu + Cups + pilote imprimante i386 = filter failed

Salut ylyco,

As-tu effectivement ajouté l'architecture i386 à la liste d'architectures ? ce retour laisse penser le contraire :

sudo apt-get install libcups2:i386

Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
E: Impossible de trouver le paquet libcups2:i386


Le paquet libcups2 est disponible pour cette architecture (i586 et i686 sont fantaisistes), donc :

sudo dpkg --add-architecture i386

sudo apt-get update


Cette page laisse penser que l'imprimante Dell 1320c pourrait fonctionner avec le pilote HBPLv1.

Hors ligne

#4 19-01-2018 22:31:26

ylyco
Membre
Distrib. : Kubuntu 17.10 / Debian 9 - desktop
Noyau : 4.10.0 / 4.9.4
(G)UI : Gnome / KDE
Inscription : 26-05-2016

Re : [Résolu]Debian-Kubuntu + Cups + pilote imprimante i386 = filter failed

Merci à vous deux Y316 et èfpé,
vous avez été rapide, et grâce à vous non seulement c'est "facile" mais je comprends un peu mieux Debian en général, et surtout mon imprimante fonctionne parfaitement.

Au stade où j'en était, j'ai préféré la méthode 2, que j'imagine moins "agressive", à savoir :


sudo dpkg --add-architecture i386
sudo apt-get update
sudo apt-get install libcups2:i386
 



Remarque pour èfpé :

Cette page laisse penser que l'imprimante Dell 1320c pourrait fonctionner avec le pilote HBPLv1.


Je ne l'ai pas testé, tenant déjà un pilote compatible que j'utilise sur toutes me distributions Linux, à savoir pour une Dell1320c utiliser celui de la " Fuji_Xerox-DocuPrint_C525_A_AP-1.0-1.i386 ":
il est en RPM à la base, mais simple à transformer par Alien en DEB.
Et il fonctionne au poil big_smile

Merci encore à tous les deux, et à la prochaine wink

Hors ligne

#5 19-01-2018 22:34:19

ylyco
Membre
Distrib. : Kubuntu 17.10 / Debian 9 - desktop
Noyau : 4.10.0 / 4.9.4
(G)UI : Gnome / KDE
Inscription : 26-05-2016

Re : [Résolu]Debian-Kubuntu + Cups + pilote imprimante i386 = filter failed

Une ch'tite remarque :
comment mettre le post comme résolu ?

Hors ligne

#6 20-01-2018 00:23:55

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch + backports
Noyau : Linux 4.9.0-8-amd64
(G)UI : Mate 1.20
Inscription : 11-03-2016

Re : [Résolu]Debian-Kubuntu + Cups + pilote imprimante i386 = filter failed

Hors ligne

#7 20-01-2018 00:43:54

ylyco
Membre
Distrib. : Kubuntu 17.10 / Debian 9 - desktop
Noyau : 4.10.0 / 4.9.4
(G)UI : Gnome / KDE
Inscription : 26-05-2016

Re : [Résolu]Debian-Kubuntu + Cups + pilote imprimante i386 = filter failed

Merci Chalu smile
Chaow lol

Hors ligne

Pied de page des forums